"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.html = exports.parse = exports.defaultDiff2HtmlConfig = void 0;
const tslib_1 = require("tslib");
const DiffParser = tslib_1.__importStar(require("./diff-parser"));
const fileListPrinter = tslib_1.__importStar(require("./file-list-renderer"));
const line_by_line_renderer_1 = tslib_1.__importStar(require("./line-by-line-renderer"));
const side_by_side_renderer_1 = tslib_1.__importStar(require("./side-by-side-renderer"));
const types_1 = require("./types");
const hoganjs_utils_1 = tslib_1.__importDefault(require("./hoganjs-utils"));
exports.defaultDiff2HtmlConfig = Object.assign(Object.assign(Object.assign({}, line_by_line_renderer_1.defaultLineByLineRendererConfig), side_by_side_renderer_1.defaultSideBySideRendererConfig), { outputFormat: types_1.OutputFormatType.LINE_BY_LINE, drawFileList: true });
function parse(diffInput, configuration = {}) {
    return DiffParser.parse(diffInput, Object.assign(Object.assign({}, exports.defaultDiff2HtmlConfig), configuration));
}
exports.parse = parse;
function html(diffInput, configuration = {}) {
    const config = Object.assign(Object.assign({}, exports.defaultDiff2HtmlConfig), configuration);
    const diffJson = typeof diffInput === 'string' ? DiffParser.parse(diffInput, config) : diffInput;
    const hoganUtils = new hoganjs_utils_1.default(config);
    const fileList = config.drawFileList ? fileListPrinter.render(diffJson, hoganUtils) : '';
    const diffOutput = config.outputFormat === 'side-by-side'
        ? new side_by_side_renderer_1.default(hoganUtils, config).render(diffJson)
        : new line_by_line_renderer_1.default(hoganUtils, config).render(diffJson);
    return fileList + diffOutput;
}
exports.html = html;
//# sourceMappingURL=diff2html.js.map