"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.render = void 0;
const tslib_1 = require("tslib");
const renderUtils = tslib_1.__importStar(require("./render-utils"));
const baseTemplatesPath = 'file-summary';
const iconsBaseTemplatesPath = 'icon';
function render(diffFiles, hoganUtils) {
    const files = diffFiles
        .map(file => hoganUtils.render(baseTemplatesPath, 'line', {
        fileHtmlId: renderUtils.getHtmlId(file),
        oldName: file.oldName,
        newName: file.newName,
        fileName: renderUtils.filenameDiff(file),
        deletedLines: '-' + file.deletedLines,
        addedLines: '+' + file.addedLines,
    }, {
        fileIcon: hoganUtils.template(iconsBaseTemplatesPath, renderUtils.getFileIcon(file)),
    }))
        .join('\n');
    return hoganUtils.render(baseTemplatesPath, 'wrapper', {
        filesNumber: diffFiles.length,
        files: files,
    });
}
exports.render = render;
//# sourceMappingURL=file-list-renderer.js.map